body {
    background-color: #000;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    color: #D6D6D6;
    font-family: Roboto, sans-serif;
}

.error_message {
    line-height: 1.5;
    margin: 50px 0;
    width: 900px;
    font-size: 22px;
    text-transform: none;
    color: #fff;
}

.mark_message {
    color: red;
}

section {
    margin: 30px;
    padding: 20px;
    border: 1px solid rgba(66, 254, 255, 0.6);
    box-shadow: 0 0 10px 5px rgba(33, 245, 255, 0.5);
    font-family: Roboto, sans-serif;
}

h1, .button {
    color: #D6D6D6;
    text-transform: uppercase;
}

h1 {
    text-align: center;
    font-size: 40px;
    font-weight: 400;
    margin-bottom: 35px;
}

.hr-line {
    width: 95%;
    margin-bottom: 40px;
    color: rgba(66, 254, 255, 0.6);
    box-shadow: 0 2px 10px 3px rgba(66, 254, 255, 0.6);
}

a {
    text-decoration: none;
}

.button {
    width: 300px;
    text-align: center;
    background-color: #3b3b3b;
    padding: 20px 0;
    color: white;
    cursor: pointer;
    border-radius: 5px;

}

.admin-content {
    display: flex;
    justify-content: center;
    align-items: center;
}

.admin-content-box {
    text-align: center; /* Ajoutez cette propriété pour centrer horizontalement le contenu */
    margin: 20px 0; /* Espacement par rapport au titre */
}


.admin-button-box {
    display: flex;
    flex-direction: row;
    gap: 30px; /* Espace entre les boutons pour plus de lisibilité */
    flex-wrap: wrap;
    justify-content: center;
}


.button:hover {
    background-color: rgba(66, 254, 255, 0.6);
}

.table {
    margin: 30px auto 0;
    max-width: 95%;
    width: 100%;
    height: 440px;
    border: 1px solid #1b6d85;
    overflow: auto;
    background-color: #0b0b0b;
    border-radius: 10px;
    text-align: left;
    font-family: Roboto, sans-serif;
}

table {
    width: 100%;
}

th {
    padding: 20px;
}

td {
    padding: 4px 20px;
}

td, th {
    color: #fff;

    background-color: rgba(0, 0, 0, 1);
}

.update-icon, .delete-icon {
    max-width: 90px;
}

.update-icon i, .delete-icon i {
    font-size: 20px;
    color: #42FEFF;
}

.update-icon i:hover, .delete-icon i:hover {
    color: #47c1c2;
}

form {
    display: flex;
    justify-content: center;
}

#biography_form {
    margin: 40px auto;
    max-width: 600px;
    width: 100%;
    padding: 20px;
    border: 1px solid #1b6d85;
}

#biography_form label {
    display: block;
    text-align: center;
}

#biography_form textarea {
    font-family: Arial, sans-serif;
    margin: 20px 0 10px;
    width: 99%;
    height: 200px;
    font-size: 12px;
}

#update_password_form, #create_category_form,#faq_form, #create_artwork_form, #update_artwork_form, #registration_member_form, #network_form, #update_member_admin_form {
    max-width: 400px;
    width: 100%;
    padding: 20px;
    border: 1px solid #1b6d85;
}
.form-faq{
    width: 100%;
    padding: 20px;
}
#faq_form textarea{
    width: 98%;
    min-height: 100px;
    margin: 10px 0;
}

#faq_form_submit {
    margin-top: 10px;
}
#update_password_form, #create_category_form{
    margin: 30px 0;
}

.rest-form {
    margin: 20px auto 0;
}

label, #create_photos_form_picture {
    color: #fff;
}


#update_member_admin_form_roles_0, #update_member_admin_form_roles_1 {
    margin: 10px 20px;
    width: 20px;
    height: 20px;
}

#update_member_admin_form_roles {
    width: 180px;

}


#create_artwork_form_categories input, #update_artwork_form_categories input {
    width: 10px;
    height: 10px;
    margin: 0;
    position: absolute;
    visibility: hidden;
}

#create_artwork_form_categories label, #update_artwork_form_categories label {
    text-align: center;
    background-color: #171717;
    border: #7a7a7a 1px solid;
    width: 80px;
    height: 18px;
    color: white;
    padding: 5px 10px;
    border-radius: 10px;
    margin: 10px;
    display: block;
    user-select: none;
}

#create_artwork_form_categories label:hover, #update_artwork_form_categories label:hover {
    background-color: #383838;
}

.artwork_cat {
    padding: 10px 0 20px;
    max-width: 400px;
    width: 100%;
    max-height: 250px;
    position: relative;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    overflow: auto;
}

#create_artwork_form_photos, .artwork_cat {
    border: none !important;
}

#create_artwork_form .required {
    display: block;
    margin: 15px 0 5px;
}

#create_artwork_form div {
    border-bottom: 1px solid #1b6d85;
}

.title-for-cat {
    text-align: center;
    margin: 10px 0 30px;
}

button {
    display: flex;
    margin: 20px auto 0;
    padding: 3px 30px;
    font-size: 18px;
    border-radius: 8px;
    border: solid 1px black;
}

#create_artwork_form_submit {
    margin-bottom: 20px;
}

button:hover {
    box-shadow: 0 0 10px 3px rgba(66, 254, 255, 0.6);
    background-color: #e0e0e0;
}

#create_photos_form li {
    list-style: none;
    color: red;
}

input {
    width: 98%;
    margin: 10px 0;
}

input:focus, textarea:focus {
    outline: none;
    box-shadow: 0 0 10px 3px rgba(66, 254, 255, 0.6);
}

#artist-form {
    display: none;
}

.note_text {
    font-size: 26px;
    color: #42FEFF;
}

.to-do-list {
    font-size: 32px;
    color: red;
    text-align: center;
    text-transform: uppercase;
    border-bottom: 1px solid red;
}

.title-page-add-item {
    width: 100%;
    text-align: center;
}

.alert {
    margin: 20px auto;
    text-align: center;
    max-width: 400px;
    border-radius: 5px;
    padding: 10px 0;
    width: 100%;
}

.alert-error {
    color: red;
    border: 1px solid red;
}

h2 {
    text-align: center;
    margin: 30px 0;
    text-decoration: underline;
}

@media (max-width: 768px) {

    body {
    padding: 10px;
    }
    section {
        margin: 10px;
    }
    h1{
        font-size: 28px;
    }
    h2{
        font-size: 18px;
    }



}